Jump to content

MediaWiki:Common.css: Difference between revisions

No edit summary
No edit summary
Line 1: Line 1:
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:FILL@0..1");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:FILL@0..1");
/* Alvo específico para remover background e a borda esquerda do botão de busca */
.cdx-button.cdx-button--fake-button.cdx-button--enabled.cdx-button--weight-quiet.cdx-button--icon-only.search-toggle {
    background-color: transparent !important;
    background: none !important;
    border-left: none !important;
    border: none !important;
    box-shadow: none !important;
}
/* Garante que o ícone da lupa fique visível sobre o fundo escuro */
.cdx-button.cdx-button--fake-button.cdx-button--enabled.cdx-button--weight-quiet.cdx-button--icon-only.search-toggle .vector-icon {
    color: #ccff00 !important; /* Verde ATRONIA */
}
/* Remove a borda esquerda do container da busca que o MediaWiki adiciona no mobile */
.vector-search-box-vue {
    border-left: none !important;
}